Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.war
Class OlapGetChart

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              com.jaspersoft.jasperserver.war.OlapGetChart

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    public class OlapGetChart

extends javax.servlet.http.HttpServlet

Author:
  swood
See Also:
  Serialized Form

Constructor Summary
`OlapGetChart()` TODO Should initialize fileNotFound image

Method Summary
`void` | `destroy()` Destroys the servlet.
`protected void` | `doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Handles the HTTP `GET` method.
`protected void` | `doPost(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Handles the HTTP `POST` method.
`java.lang.String` | `getServletInfo()` Returns a short description of the servlet.
`void` | `init(javax.servlet.ServletConfig config)`
`protected void` | `processRequest(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Processes requests for both HTTP `GET` and `POST` methods.
`static java.lang.String` | `searchReplace(java.lang.String inputString, java.lang.String searchString, java.lang.String replaceString)` Perform a search/replace operation on a String There are String methods to do this since (JDK 1.4)
`static void` | `sendTempFile(java.io.File file, javax.servlet.http.HttpServletResponse response)`
`static void` | `sendTempFile(java.io.File file, javax.servlet.http.HttpServletResponse response, java.lang.String mimeType)` Binary streams the specified file to the HTTP response in 1KB chunks

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OlapGetChart

    public OlapGetChart()

  TODO Should initialize fileNotFound image

Method Detail

### init

    public void init(javax.servlet.ServletConfig config)
              throws javax.servlet.ServletException

  Specified by:
    `init` in interface `javax.servlet.Servlet`
  Overrides:
    `init` in class `javax.servlet.GenericServlet`
  Throws:
    `javax.servlet.ServletException`

### destroy

    public void destroy()

  Destroys the servlet.

  Specified by:
    `destroy` in interface `javax.servlet.Servlet`
  Overrides:
    `destroy` in class `javax.servlet.GenericServlet`

### processRequest

    protected void processRequest(javax.servlet.http.HttpServletRequest request,
                                  javax.servlet.http.HttpServletResponse response)
                           throws javax.servlet.ServletException,
                                  java.io.IOException

  Processes requests for both HTTP `GET` and `POST` methods.

  Parameters:
    `request` - servlet request
    `response` - servlet response
  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### sendTempFile

    public static void sendTempFile(java.io.File file,
                                    javax.servlet.http.HttpServletResponse response)
                             throws java.io.IOException,
                                    java.io.FileNotFoundException

  Throws:
    `java.io.IOException`
    `java.io.FileNotFoundException`

### sendTempFile

    public static void sendTempFile(java.io.File file,
                                    javax.servlet.http.HttpServletResponse response,
                                    java.lang.String mimeType)
                             throws java.io.IOException,
                                    java.io.FileNotFoundException

  Binary streams the specified file to the HTTP response in 1KB chunks

  Parameters:
    `file` - The file to be streamed.
    `response` - The HTTP response object.
    `mimeType` - The mime type of the file, null allowed.
  Throws:
    `java.io.IOException` - if there is an I/O problem.
    `java.io.FileNotFoundException` - if the file is not found.

### searchReplace

    public static java.lang.String searchReplace(java.lang.String inputString,
                                                 java.lang.String searchString,
                                                 java.lang.String replaceString)

  Perform a search/replace operation on a String There are String methods to do this since (JDK 1.4)

  Parameters:
    `inputString` - the String to have the search/replace operation.
    `searchString` - the search String.
    `replaceString` - the replace String.
  Returns:
    the String with the replacements made.

### doGet

    protected void doGet(javax.servlet.http.HttpServletRequest request,
                         javax.servlet.http.HttpServletResponse response)
                  throws javax.servlet.ServletException,
                         java.io.IOException

  Handles the HTTP `GET` method.

  Overrides:
    `doGet` in class `javax.servlet.http.HttpServlet`
  Parameters:
    `request` - servlet request
    `response` - servlet response
  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### doPost

    protected void doPost(javax.servlet.http.HttpServletRequest request,
                          javax.servlet.http.HttpServletResponse response)
                   throws javax.servlet.ServletException,
                          java.io.IOException

  Handles the HTTP `POST` method.

  Overrides:
    `doPost` in class `javax.servlet.http.HttpServlet`
  Parameters:
    `request` - servlet request
    `response` - servlet response
  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### getServletInfo

    public java.lang.String getServletInfo()

  Returns a short description of the servlet.

  Specified by:
    `getServletInfo` in interface `javax.servlet.Servlet`
  Overrides:
    `getServletInfo` in class `javax.servlet.GenericServlet`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.